Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.geomgraph
Class EdgeEndStar

    java.lang.Object
      com.vividsolutions.jts.geomgraph.EdgeEndStar

Direct Known Subclasses:
  DirectedEdgeStar, EdgeEndBundleStar

    public abstract class EdgeEndStar

extends java.lang.Object

A EdgeEndStar is an ordered list of EdgeEnds around a node. They are maintained in CCW order (starting with the positive x-axis) around the node for efficient lookup and topology building.

Version:
  1.7

Field Summary
`protected java.util.List` | `edgeList` A list of all outgoing edges in the result, in CCW order
`protected java.util.Map` | `edgeMap` A map which maintains the edges in sorted order around the node

Constructor Summary
`EdgeEndStar()`

Method Summary
`void` | `computeLabelling(GeometryGraph[] geomGraph)`
`int` | `findIndex(EdgeEnd eSearch)`
`Coordinate` | `getCoordinate()`
`int` | `getDegree()`
`java.util.List` | `getEdges()`
`EdgeEnd` | `getNextCW(EdgeEnd ee)`
`abstract void` | `insert(EdgeEnd e)` Insert a EdgeEnd into this EdgeEndStar
`protected void` | `insertEdgeEnd(EdgeEnd e, java.lang.Object obj)` Insert an EdgeEnd into the map, and clear the edgeList cache, since the list of edges has now changed
`boolean` | `isAreaLabelsConsistent(GeometryGraph geomGraph)`
`java.util.Iterator` | `iterator()` Iterator access to the ordered list of edges is optimized by copying the map collection to a list.
`void` | `print(java.io.PrintStream out)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### edgeMap

    protected java.util.Map edgeMap

  A map which maintains the edges in sorted order around the node

### edgeList

    protected java.util.List edgeList

  A list of all outgoing edges in the result, in CCW order

Constructor Detail

### EdgeEndStar

    public EdgeEndStar()

Method Detail

### insert

    public abstract void insert(EdgeEnd e)

  Insert a EdgeEnd into this EdgeEndStar

### insertEdgeEnd

    protected void insertEdgeEnd(EdgeEnd e,
                                 java.lang.Object obj)

  Insert an EdgeEnd into the map, and clear the edgeList cache, since the list of edges has now changed

### getCoordinate

    public Coordinate getCoordinate()

  Returns:
    the coordinate for the node this star is based at

### getDegree

    public int getDegree()

### iterator

    public java.util.Iterator iterator()

  Iterator access to the ordered list of edges is optimized by copying the map collection to a list. (This assumes that once an iterator is requested, it is likely that insertion into the map is complete).

### getEdges

    public java.util.List getEdges()

### getNextCW

    public EdgeEnd getNextCW(EdgeEnd ee)

### computeLabelling

    public void computeLabelling(GeometryGraph[] geomGraph)

### isAreaLabelsConsistent

    public boolean isAreaLabelsConsistent(GeometryGraph geomGraph)

### findIndex

    public int findIndex(EdgeEnd eSearch)

### print

    public void print(java.io.PrintStream out)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD